Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class NameRecord

    java.lang.Object
      org.apache.batik.svggen.font.table.NameRecord

public class NameRecord
extends java.lang.Object

Constructor Summary
`protected` | `NameRecord(java.io.RandomAccessFile raf)`

Method Summary
`short` | `getEncodingId()`
`short` | `getLanguageId()`
`short` | `getNameId()`
`short` | `getPlatformId()`
`java.lang.String` | `getRecordString()`
`protected void` | `loadString(java.io.RandomAccessFile raf, int stringStorageOffset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameRecord

    protected NameRecord(java.io.RandomAccessFile raf)
                  throws java.io.IOException

Method Detail

### getEncodingId

    public short getEncodingId()

### getLanguageId

    public short getLanguageId()

### getNameId

    public short getNameId()

### getPlatformId

    public short getPlatformId()

### getRecordString

    public java.lang.String getRecordString()

### loadString

    protected void loadString(java.io.RandomAccessFile raf,
                              int stringStorageOffset)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.